Bug 1270813 - gedit getting killed by SIGTRAP and throwing error messages
gedit getting killed by SIGTRAP and throwing error messages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gedit (Show other bugs)
7.1
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 08:48 EDT by jigar
Modified: 2017-05-29 07:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-15 17:30:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace for gedit crash (3.59 KB, text/plain)
2015-10-12 08:50 EDT, jigar
no flags Details
errors occuring during the crash (5.32 KB, text/plain)
2015-10-12 08:51 EDT, jigar
no flags Details

  None (edit)
Description jigar 2015-10-12 08:48:50 EDT
Description of problem: Starting gedit is frequently met with the error message,

** (gedit:30170): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-ixflrSHFzK: Connection refused

Entering characters in a gedit buffer is frequently met with one or more of the warnings,

(gedit:33495): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

** (gedit:33495): WARNING **: AT-SPI: Could not obtain desktop path or name

** (gedit:33495): WARNING **: atk-bridge: GetRegisteredEvents returned message with unknown signature

** (gedit:33495): WARNING **: atk-bridge: get_device_events_reply: unknown signature

That first warning is frequently seen again, when I have saved the contents of a gedit buffer to disk:

(gedit:30170): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files



Version-Release number of selected component (if applicable): gedit-3.8.3-6


How reproducible: Sometimes


Steps to Reproduce:
Attached errors & backtrace files.

Actual results: gedit is throwing errors and crashing


Expected results: gedit shouldn't throw errors and should not crash.
Comment 1 jigar 2015-10-12 08:50 EDT
Created attachment 1082002 [details]
backtrace for gedit crash
Comment 2 jigar 2015-10-12 08:51 EDT
Created attachment 1082003 [details]
errors occuring during the crash
Comment 6 jigar 2016-05-08 02:12:14 EDT
Hi,

Is this being proposed for RHEL-7.3 or would it be considered for next release? 

Thanks & Regards,
Jigar Raisinghani
Comment 7 Ray Strode [halfline] 2016-05-09 10:25:17 EDT
So I see

 XDG_DATA_DIRS=/opt/rh/python33/root/usr/share

If that gets changed to 

XDG_DATA_DIRS=/opt/rh/python33/root/usr/share:/usr/share

does the problem get fixed ?

Note You need to log in before you can comment on or make changes to this bug.